<?php
/*
    User preferencies - GuppY PHP Script -  version 4.6
    CeCILL Copyright (C) 2004-2007 by Laurent Duveau
    Initiated by Laurent Duveau and Nicolas Alves
      Web site = http://www.freeguppy.org/
      e-mail   = info@freeguppy.org

    Version History :
      v2.3 (27 July 2003)      : initial release
      v2.4 (24 September 2003) : show user name option & tiny message option (by Nicolas Alves and Laurent Duveau)
                                 added forum personalized signature
                                 upgraded checks for unwanted characters like ' in pseudo, with the use of the new RemoveQuote() function
                                 secured transfered parameters
      v3.0 (25 February 2004)  : added skins (by Nicolas Alves)
                                 added possibility to put all boxes on the right side
                                 added UID management for Tiny Messages and check if Pseudo is already taken
                                 added limit Pseudo to basic [a-Z][0-9] characters and check e-mail syntax
                                 bug fix that would hide forum signature in some cases (thanks HubbY)
      v3.0p1 (26 Feb 2004)     : bug fix, now checks e-mail correctly in the VerifyForm() function
      v4.0 (06 December 2004)  : upgrade management UID,
                                 added page title (by Jean-Mi)
                                 added avatars management (by Nicolas Alves)
                                 added new look with td css class (by Icare)
                                 corrected avatars table and W3C compliance (by Icare)
      v4.5 (21 Mai 2005)       : corrected box title (by Icare)
                                 $ushow default checked (by Icare)
      v4.5.8 (05 November 2005): corrected return on error pseudo and redirect to compte.php (by Icare)
      v4.6.0 (04 June 2007)    : added editor choice for better accessibility (by Icare)
      v4.6.1 (02 July 2007)    : corrected xhtml compliance (thanks hpsam)

modified for Cryptographp by Hpsam
*/
header("Pragma: no-cache");
define("CHEMIN", "");
// Added cryptographp ==>
$cryptinstall=CHEMIN.'plugins/cryptographp/cryptographp.fct.php';
$crypterror = false;
include_once ($cryptinstall);
// <== cryptographp
include("inc/includes.inc");
// Added cryptographp ==>
include_once(CHEMIN.'plugins/cryptographp/inc/function.inc');
if ($userprefs[1] != "") $cp_cfg[9]=false;
// <== cryptographp

if ($serviz[28] != "on") {
  exit($web143);
}
$setusercookie = strip_tags($setusercookie);
$unreg = strip_tags($unreg);
$ulang = strip_tags($ulang);
$upseudo = KeepGoodChars(RemoveConnector(RemoveQuote(stripslashes(CutLongWord(strip_tags($upseudo),20)))));
$uemail = CutLongWord(strip_tags($uemail));
$uboxes = strip_tags($uboxes);
$ureadlang = strip_tags($ureadlang);
$ushow = strip_tags($ushow);
$usign = WrapLongWords(stripslashes(strip_tags($usign)));
$uuid = strip_tags($uuid);
$uwebesite = strip_tags($uwebesite);
$udesign = strip_tags($udesign);
$usermess = "";
$pseudok = 1;
// Added cryptographp ==>
$crypt = import('crypt', 'POST');
// <== cryptographp
if ($setusercookie == 1) {
// Added cryptographp ==>
	if ((chk_crypt($crypt) && $cp_cfg[9]) || !$cp_cfg[9]){
// <== cryptographp
	  $dossier = opendir(USEREP);
	  while ($fichier = readdir($dossier)) {
	    if (is_file(USEREP.$fichier)) {
	      if (basename($fichier) == $upseudo.DBEXT) {
	        $dbmsg = ReadDBFields(USEREP.$upseudo.DBEXT);
	        if (($dbmsg[0][0] != $userprefs[7]) && ($dbmsg[0][0] != $uuid)) {
	          $pseudok = 0;
	        }
	      }
	    }
	  }
	  closedir($dossier);
	  if ($pseudok == 1) {
	    $userprefs[0] = $ulang;
	    $userprefs[1] = $upseudo;
	    $lng = $ulang;
	    $userprefs[2] = $uemail;
	    $userprefs[3] = $uboxes;
	    $userprefs[4] = $ureadlang;
	    $userprefs[5] = $ushow;
	    $userprefs[6] = RemoveConnector(stripslashes($usign));
	    $userprefs[6] = str_replace(chr(10),"\n",$userprefs[6]);
	    if (empty($uuid))
	      $userprefs[7] = GenerateUID();
	    else
	      $userprefs[7] = $uuid;
	    $userprefs[8]= trim($avatar);
	    if ($uwebesite == "http://")
	      $userprefs[9] = "";
	    else
	      $userprefs[9] = $uwebesite;
	    $userprefs[10] = $udesign;
	    $userprefs[11] = $ueditor;
	    $userdb = array();
	    if (is_file(USEREP.$userprefs[1].DBEXT)) {
	      $userdb = ReadDBFields(USEREP.$userprefs[1].DBEXT);
	    }
	    if($serviz[31]!="" && $userdb[1][0]=="") {
	      $userdb[0][0] = $userprefs[7];
	      $userdb[1][0] = "0";
	      $userdb[2][0] = $serviz[31].CONNECTOR.GetCurrentDateTime().CONNECTOR."&nbsp; ".$web253." ".$userprefs[1].$web167." ".$site[0].CONNECTOR."new".CONNECTOR."".CONNECTOR."".CONNECTOR."".CONNECTOR.$serviz[43];
	    }
	    else {
	      $userdb[0][0] = $userprefs[7];
	      $userdb[1][0] = "0";
	    }
	    WriteDBFields(USEREP.$userprefs[1].DBEXT,$userdb);
	    $userdata = $userprefs[0].CONNECTOR.$userprefs[1].CONNECTOR.$userprefs[2].CONNECTOR.$userprefs[3].CONNECTOR.$userprefs[4].CONNECTOR.$userprefs[5].CONNECTOR.$userprefs[6].CONNECTOR.$userprefs[7].CONNECTOR.$userprefs[8].CONNECTOR.$userprefs[9].CONNECTOR.$userprefs[10].CONNECTOR.$userprefs[11];

	    setcookie($usercookie, $userdata, time() + 157680000);
	    $usermess = $web161;
	    if (!empty($userprefs[4])) {
	      include(CHEMIN."inc/lang/".$userprefs[4]."-web".INCEXT);
	    }
	    else {
	      include(CHEMIN."inc/lang/".$lng."-web".INCEXT);
	    }
	    header("location:".CHEMIN."compte.php?lng=".$lng);
	  }
	  else {
	    ?>
	    <script type="text/javascript">
	      alert('<?php echo addslashes($web231); ?>');
	      history.back();
	    </script>
	    <?php
	  }
// Added cryptographp ==>
	}
	else {
		$setusercookie = "";
		$crypterror = true;
	}
// <== cryptographp
}
elseif ($unreg == 1) {
  if (FileDBExist(USEREP.$userprefs[1].DBEXT)) {
    $dbmsg = ReadDBFields(USEREP.$userprefs[1].DBEXT);
    if ($dbmsg[0][0] == $userprefs[7]) {
      DestroyDBFile(USEREP.$userprefs[1].DBEXT);
    }
  }
  if (FileDBExist(FILECOUNTMSG.$userprefs[1].DBEXT)) {
    DestroyDBFile(FILECOUNTMSG.$userprefs[1].DBEXT);
  }
  $userprefs[0] = "";
  $userprefs[1] = "";
  $userprefs[2] = "";
  $userprefs[3] = "";
  $userprefs[4] = "";
  $userprefs[5] = "";
  $userprefs[6] = "";
  $userprefs[7] = "";
  $userprefs[8] = "";
  $userprefs[9] = "";
  $userprefs[10] = "";
  $userprefs[11] = "";
  setcookie($usercookie, "", time() - 3600);
  $usermess = $web163;
  include("inc/hpage.inc");
  if ($lng == $lang[0]) {
    $i = 0;
  }
  else {
    $i = 1;
  }
    htable($nom[$i+34], "100%");
    echo "<p align='center'><br /><b>".$userprefs[1]." ".$web163."...!</b><br /></p>";
    btable();
    include("inc/bpage.inc");
    exit();
}
if (empty($userprefs[7])) $userprefs[7] = GenerateUID();
$langue = array();
$dossier = opendir(CHEMIN."inc/lang/");
while ($fichier = readdir($dossier)) {
  if (is_file(CHEMIN."inc/lang/".$fichier)) {
    $basefic = basename($fichier);
    $path_parts = substr($basefic,strrpos($basefic,".")+1);
    if ($path_parts == "inc") {
      if (strpos($basefic, "-web") !== false) {
        $langue[] = substr($basefic,0,strlen($basefic)-8);
      }
    }
  }
}
closedir($dossier);
@sort($langue);
include("inc/hpage.inc");

?>
<script type="text/javascript">
 function VerifyForm() {
    var sto = '';
    var erreur = false;
    regexp = /^[a-zA-Z0-9_]{2,20}$/;
    if (!regexp.test(document.userprefnow.upseudo.value)) {
      sto += '  - <?php echo addslashes($web266); ?>\n';
      erreur = true;
    }
    regexp = /^[a-zA-Z0-9]{5,20}$/;
    if (!regexp.test(document.userprefnow.uuid.value)) {
      sto += '  - <?php echo addslashes($web302); ?>\n';
      erreur = true;
    }
    regexp = /^[^\.\s]+(\.[^\.\s]+)*@[^\.\s]+(\.[^\.\s]+)+$/;
    if (!regexp.test(document.userprefnow.uemail.value)) {
      sto += '  - <?php echo addslashes($web42); ?>\n';
      erreur = true;
    }
    // Added Cryptographp ==
    if (document.userprefnow.crypt.value.search(/\w/) == -1) {
      sto += '  - <?php echo addslashes($cp_web1); ?>\n';
      erreur = true;
    }
    // == Cryptographp
    if (erreur == true) {
      sto = '<?php echo addslashes($web265); ?>\n' + sto;
      alert(sto);
    }
    else {
      document.userprefnow.submit();
    }
  }
</script>
<?php
if ($lng == $lang[0]) {
  $i = 0;
}
else {
  $i = 1;
}
htable($nom[$i+34], "100%");
?>
<div align="center" style="width:96%;margin-left:auto;margin-right:auto;">
<div style="padding-left:4px;margin-left:auto;margin-right:auto;text-align:left;">
<form name="userprefnow" action="user.php?lng=<?php echo $lng; ?>" method="post" onsubmit="VerifyForm(); return false;">
<p align="center"><?php echo $web156; ?></p>
<p align="center"><?php echo $web157; ?></p>
<p>&nbsp;</p>
<?php
if (!empty($usermess)) {
  ?>
  <p align="center"><b><?php echo $usermess; ?></b></p>
  <p>&nbsp;</p>
  <?php
}
if ($userprefs[1]!="") $value_pseudo = 'value="'.$userprefs[1].'" readonly';
else $value_pseudo = 'value="'.$upseudo.'"';
?>

<input type="hidden" name="setusercookie" value="1" />
<?php
// Added Cryptographp ==>
if ($crypterror && $cp_cfg[9]) echo '<div style="text-align:center; color:red; background-color:yellow; border:1px solid red; font-weight:bold; width:98%;">'.$cp_web1.'</div>';
// <== Cryptographp
?>
<fieldset><legend><?php echo $web377 ?></legend>
<br />
<table align="center" cellspacing="0" cellpadding="0" width="98%" border="0">
<tr><td width="45%"><p>&bull; <?php echo $web49; ?></p></td>
<td><input type="text"  class="texte" name="upseudo" size="30" <?php echo $value_pseudo;?> /></td></tr>
<?php
if ($members[0]=="on") {
  ?>
  <tr><td colspan="2"><p><input type="hidden" name="ushow" value="on" />&nbsp;&nbsp;</p></td></tr>
  <?php
}
// Modified all value="" to fill them in case of bad code Cryptographp
else {
  ?>
  <tr><td colspan="2"><p align="center"><?php echo $web213; ?><input type="checkbox" name="ushow" <?php if ($userprefs[5] == "on" || $ushow == "on")  echo 'checked="checked"'; ?> /></p></td></tr>
  <?php
}
?>
<tr><td><p>&bull; <?php echo $web300; ?></p></td>
<td><input type="password" class="texte" name="uuid" size="30" value="<?php echo ($userprefs[1]!="" ? $userprefs[7] : $uuid); ?>" /></td></tr>
<tr><td><p>&bull; <?php echo $web50; ?></p></td>
<td><input type="text" class="texte" name="uemail" size="40" value="<?php echo ($userprefs[2]!="" ? $userprefs[2] : $uemail); ?>" /></td></tr>
<tr><td><p>&bull; <?php echo $web51; ?></p></td>
<td><input type="text" class="texte" name="uwebesite" size="40" value="<?php if ($userprefs[9]) echo $userprefs[9]; elseif ($uwebesite) echo $uwebesite; else echo "http://" ?>" /></td></tr>
<tr><td><p>&bull; <?php echo $web219; ?></p></td>
<td><textarea name="usign" rows="2" cols="30"><?php echo ($userprefs[6]!="" ? stripslashes($userprefs[6]) : $usign); ?></textarea></td></tr>
<?php
// Added cryptographp ==>
if ($cp_cfg[9]) { ?>
<tr><td align="right"><?php
	if ($cp_cfg[6]) dsp_crypt(0,1,2,1);
	else dsp_crypt(0,1);
	?></td>
<td><?php echo $cp_web2; ?><input type="text" name="crypt" size="10" /></td></tr>
<?php
}
// <== cryptographp
?>
</table>
<br />
</fieldset>
<br />
<fieldset><legend><?php echo $web378 ?></legend>
<table align="center" cellspacing="0" cellpadding="0" width="98%" border="0">
<?php
if ($lang[1] != "") {
  ?>
  <tr><td width="45%"><p>&bull; <?php echo $web155; ?></p></td>
  <td><p><select name="ulang">
  <option value="<?php echo $lang[0]; ?>" <?php if ($userprefs[0] == $lang[0] || $ulang == $lang[0]) { echo 'selected="selected"'; } ?>><?php echo $lang[0]; ?></option>
  <option value="<?php echo $lang[1]; ?>" <?php if ($userprefs[0] == $lang[1] || $ulang == $lang[1]) { echo 'selected="selected"'; } ?>><?php echo $lang[1]; ?></option>
  </select></p>
  </td></tr>
  <?php
}
else {
  ?>
  <input type="hidden" name="ulang" value="<?php echo $lang[0]; ?>" />
  <?php
}
$uskintheme = array();
$dossier = opendir(CHEMIN."skin/");
while ($fichier = readdir($dossier)) {
  if (is_dir(CHEMIN."skin/".$fichier) && $fichier != "." && $fichier != "..") {
     $uskintheme[] = $fichier;
  }
}
closedir($dossier);
@sort($uskintheme);
?>
<tr><td><p>&bull; <?php echo $web307; ?></p></td>
<td><select name="udesign">
<option value=""><?php echo $web315; ?></option>
<?php
for ($i = 0; $i < count($uskintheme); $i++) {
  if ($userprefs[10] == $uskintheme[$i] ||  $udesign == $uskintheme[$i]) {
    $sel = ' selected="selected"';
    }
    else {
    $sel = "";
    }
  echo "<option value=\"".$uskintheme[$i]."\"".$sel.">".$uskintheme[$i]."</option>\n";
}
?>
</select></td></tr>
<tr><td><p>&bull; <?php echo $web164; ?></p></td>
<td>
  <p><select name="uboxes">
  <option value="LR" <?php if ($userprefs[3] == "LR" || $uboxes == "LR") { echo 'selected="selected"'; } ?>><?php echo $web165; ?></option>
  <option value="L" <?php if ($userprefs[3] == "L" || $uboxes == "L") { echo 'selected="selected"'; } ?>><?php echo $web166; ?></option>
  <option value="R" <?php if ($userprefs[3] == "R" || $uboxes == "R") { echo 'selected="selected"'; } ?>><?php echo $web232; ?></option>
  </select></p>
</td></tr>
<tr><td><p>&bull; <?php echo $web375 ?></p></td>
<td><p><input type="checkbox" name="ueditor" <?php if ($userprefs[11]=="on" || $ueditor == "on") echo ' checked="checked"'; ?> /></p></td></tr>
<tr><td colspan="2" align="center">
<?php
if ($page[23]!="") {
  $imgavatars = array();
  $dossier = opendir(CHEMIN."inc/img/avatars/".$page[23]."/");
  while ($fichier = readdir($dossier)) {
    if (is_file(CHEMIN."inc/img/avatars/".$page[23]."/".$fichier)) {
      $path_parts = basename($fichier);
      $path_parts = substr($path_parts,strrpos($path_parts,".")+1);
      if (Isimage($path_parts)) {
        $imgavatars[] = $fichier;
      }
    }
  }
  closedir($dossier);
  @sort($imgavatars);
  ?>
  <fieldset><legend><?php echo $web303; ?></legend>
  <table align="center" cellspacing="4" cellpadding="4" width="60%" border="0">
  <tr>
  <?php
  $nbrimgavatar = 0; $j= count($imgavatars);
  for ($i = 0; $i < count($imgavatars); $i++) {
    ?>
    <td align="center"><img border="0" src="<?php echo CHEMIN; ?>inc/img/avatars/<?php echo $page[23]; ?>/<?php echo $imgavatars[$i] ?>" alt="<?php echo $imgavatars[$i] ?>" title="<?php echo $imgavatars[$i] ?>" /><br />
    <input type="radio" value="<?php echo $imgavatars[$i]; ?>" name="avatar" <?php if ($userprefs[8]==$imgavatars[$i] || $avatar==$imgavatars[$i]) echo 'checked="checked"'; ?> /></td>
    <?php
    $nbrimgavatar++; $j--;
    if ($nbrimgavatar == 5 && $j != 0) {
      $nbrimgavatar = 0;
      echo "</tr><tr>\n";
    }
  }
  $vid = 5 - count($imgavatars)%5 ;
  if ($vid != 0) { echo "<td colspan=\"$vid\"></td>"; }
  ?>
  </tr>
  </table>
  </fieldset>
  <?php
}
?>
</td></tr>
</table>
</fieldset>
<p>&nbsp;</p>
<p align="center"><?php echo $boutonleft; ?><button type="submit" title="<?php echo $web154; ?>"><?php echo $web154; ?></button><?php echo $boutonright; ?></p>
</form>
</div>
</div>
<div align="center">
<form name="userbye" action="<?php echo CHEMIN; ?>user.php?lng=<?php echo $lng; ?>" method="post">
<input type="hidden" name="unreg" value="1" />
<?php echo $boutonleft; ?><button type="submit" title="<?php echo $web162; ?>"><?php echo $web162; ?></button><?php echo $boutonright; ?>
</form>
</div>
<?php
btable();
include("inc/bpage.inc");
?>